Subject: Re: overriding/removing inherited credential.helper, Do not add an empty value from config credential.helper

From: Ted Zlatanov <[email-masked]>
Date: Thu, 07 Feb 2013 13:38:06 -0500

On Thu, 07 Feb 2013 10:23:20 -0800 Junio C Hamano <[email-masked]> wrote: 

JCH> "Clear everything you saw so far" would be useful for variables
JCH> other than "credential.helper"; shouldn't it be done by adding a
JCH> general syntax to the configuration file format and teach the
JCH> configuration parser to clear the cumulative definitions so far?

That's a question for the configuration parser, right?  I don't have an
informed opinion on how it should be implemented, and am OK with any
syntax to clear a variable.

Ted